Bug 1855894 - Egress Router pod is stuck in Init:CrashLoopBackOff
Summary: Egress Router pod is stuck in Init:CrashLoopBackOff
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.z
Assignee: Ben Bennett
QA Contact: Weibin Liang
URL:
Whiteboard: SDN-CI-IMPACT,SDN-STALE
Depends On: 1822945
Blocks: 1855895
TreeView+ depends on / blocked
 
Reported: 2020-07-10 20:44 UTC by Ben Bennett
Modified: 2020-08-10 13:50 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1822945
: 1855895 (view as bug list)
Environment:
Last Closed: 2020-08-10 13:50:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 730 None closed [release-4.5] Bug 1855894: Add netns mount 2020-09-23 20:38:01 UTC
Github openshift machine-config-operator pull 1954 None closed [release-4.5] Bug 1855894: templates: add a file to load legacy iptables kernel modules 2020-09-23 20:38:01 UTC
Red Hat Product Errata RHBA-2020:3188 None None None 2020-08-10 13:50:44 UTC

Comment 3 Weibin Liang 2020-08-03 14:22:31 UTC
Tested and verified in 4.5.0-0.nightly-2020-08-01-204100

oc logs -c egress-router egress-redirect-pod will not see below error any more:
iptables v1.4.21: can't initialize iptables table `nat': Table does not exist (do you need to insmod?)

Comment 5 errata-xmlrpc 2020-08-10 13:50:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.5 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3188


Note You need to log in before you can comment on or make changes to this bug.